<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="No Filters" />
  </component>
  <component name="BookmarkManager">
    <bookmark url="file://$PROJECT_DIR$/../../Project/GprinterTools/app/src/main/java/com/gprinter/activity/App.java" description="&#10;/**&#10; * Author：   Circle&#10; * Create Time： 2018/6/26..." line="4" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="43b06d7c-920f-440a-97e2-c7408969ddcf" name="Default" comment="" />
    <ignored path="GpsdkDemo.iws" />
    <ignored path=".idea/workspace.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="192.168.1.100:5555" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="GpsdkDemo" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
          <provider editor-type-id="android-designer2" />
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="287">
              <caret line="86" column="51" selection-start-line="86" selection-start-column="37" selection-end-line="86" selection-end-column="51" />
              <folding>
                <element signature="e#3721#3737#0" expanded="true" />
                <element signature="e#3800#3820#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="286" column="45" lean-forward="true" selection-start-line="286" selection-start-column="45" selection-end-line="286" selection-end-column="45" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/PrintContent.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="410">
              <caret line="293" column="59" selection-start-line="293" selection-start-column="33" selection-end-line="293" selection-end-column="59" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/values-zh-rCN/strings.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="260">
              <caret line="33" column="24" selection-start-line="33" selection-start-column="18" selection-end-line="33" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="260">
              <caret line="33" selection-start-line="33" selection-end-line="34" selection-end-column="62" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>多设备</find>
      <find>标签</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ThreadPool.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/SerialPortList.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/Constant.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/BluetoothDeviceList.java" />
        <option value="$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/utils/ZLibUtils.class" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ListViewAdapter.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_connmoredivices.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ConnMoreDevicesActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/CheckWifiConnThread.java" />
        <option value="$PROJECT_DIR$/gradle.properties" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/DeviceConnFactoryManager.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/PrintContent.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values-zh-rCN/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/MainActivity.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="1">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1456" />
    <option name="height" value="876" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="libs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="libs" type="462c0819:PsiDirectoryNode" />
              <item name="gprintersdkv2.jar" type="ab9368bb:PsiFileNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="gpsdk" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="gpsdk" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="gpsdk" type="462c0819:PsiDirectoryNode" />
              <item name="demo" type="462c0819:PsiDirectoryNode" />
              <item name="gpsdkdemo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="GpsdkDemo" type="b2602c69:ProjectViewProjectNode" />
              <item name="GpsdkDemo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
              <item name="values-zh-rCN" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SearchEverywhereHistoryKey" value="fan&#9;FILE&#9;jar://D:/Studio2.2.2/studio/jre/jre/lib/ext/cldrdata.jar!/sun/text/resources/cldr/af/FormatData_af_NA.class" />
    <property name="UI_DESIGNER_EDITOR_MODE.NlPaletteManager-NlPreviewForm.SHOW" value="false" />
    <property name="android.project.structure.last.selected" value="app" />
    <property name="android.project.structure.proportion" value="0.15" />
    <property name="device.picker.selection" value="192.168.1.106:5555" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/app/libs" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="android.sdk-updates" />
    <property name="settings.editor.splitter.proportion" value="0.2" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.gpsdk.demo.gpsdkdemo" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\Edisk\AsProject\GprinterSDK\GpsdkDemo\app\libs" />
      <recent name="E:\Edisk\AsProject\GprinterSDK\GpsdkDemo\app\src\main\jniLibs" />
      <recent name="E:\Edisk\AsProject\GprinterSDK\GpsdkDemo\app\src\main" />
      <recent name="E:\Edisk\AsProject\GprinterSDK\GpsdkDemo\app\src\main\res\drawable" />
      <recent name="E:\Edisk\AsProject\GprinterSDK\GpsdkDemo\app\src\main\java\com\gpsdk\demo\gpsdkdemo" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidTestRunConfigurationType" factoryName="Android Tests">
      <module name="" />
      <option name="TESTING_TYPE" value="0" />
      <option name="INSTRUMENTATION_RUNNER_CLASS" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="PACKAGE_NAME" value="" />
      <option name="EXTRA_OPTIONS" value="" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
      </Native>
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <method />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method>
        <option name="Make" enabled="false" />
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNGTestDiscovery" factoryName="TestNG Test Discovery" changeList="All">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration name="&lt;template&gt;" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" default="true" selected="false">
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
    </configuration>
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="43b06d7c-920f-440a-97e2-c7408969ddcf" name="Default" comment="" />
      <created>1566961597487</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1566961597487</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1456" height="876" extended-state="1" />
    <editor active="true" />
    <layout>
      <window_info id="Resources Explorer" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.33739254" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Captures" order="2" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="3" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Nl-Palette" order="8" />
      <window_info anchor="bottom" id="Build" weight="0.32884097" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="bottom" id="Logcat" weight="0.67654985" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32884097" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Gradle Console" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Android Monitor" order="8" weight="0.5236769" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.3286908" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="11" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32729805" />
      <window_info anchor="right" id="Android WiFi ADB" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Properties" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Preview" order="5" weight="0.3295129" />
      <window_info anchor="right" id="Android Model" order="6" side_tool="true" weight="0.3295129" />
      <window_info anchor="right" id="Gradle" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Theme Preview" order="9" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ThreadFactoryBuilder.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv1.jar!/com/gprinter/io/BluetoothPort.class" />
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv1.jar!/com/gprinter/io/EthernetPort.class" />
    <entry file="file://D:/Studio2.2.2/SDK/sources/android-24/android/hardware/usb/UsbManager.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/pj.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="15" column="31" selection-start-line="15" selection-start-column="31" selection-end-line="15" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv1.jar!/com/gprinter/command/LabelCommand.class" />
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/command/FactoryCommand.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="419">
          <caret line="231" selection-start-line="231" selection-end-line="231" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/PrinterCommand.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="12" selection-start-line="9" selection-start-column="12" selection-end-line="9" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/Utils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="344">
          <caret line="26" column="40" selection-start-line="26" selection-start-column="40" selection-end-line="26" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/jre/jre/lib/ext/cldrdata.jar!/sun/text/resources/cldr/af/FormatData_af_NA.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#468#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable/ic_printer.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable/gprinter.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/WifiParameterConfigDialog.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="367">
          <caret line="28" column="11" selection-start-line="28" selection-start-column="11" selection-end-line="28" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/SerialPortList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1312">
          <caret line="21" column="13" selection-start-line="21" selection-start-column="13" selection-end-line="21" selection-end-column="13" />
          <folding>
            <element signature="imports" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="14" column="16" selection-start-line="14" selection-start-column="5" selection-end-line="14" selection-end-column="16" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/App.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="21" column="26" selection-start-line="21" selection-start-column="26" selection-end-line="21" selection-end-column="26" />
          <folding>
            <element signature="e#424#425#0" />
            <element signature="e#455#456#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/colors.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-621">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Studio2.2.2/SDK/sources/android-24/java/io/ByteArrayOutputStream.java" />
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/utils/ZLibUtils.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="44" selection-start-line="44" selection-end-line="44" />
          <folding>
            <element signature="e#0#1644#0" expanded="true" />
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/example/gprintersdkv1/BuildConfig.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="7" column="19" selection-start-line="7" selection-start-column="19" selection-end-line="7" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/example/gprintersdkv1/R.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="66" selection-start-line="66" selection-end-line="66" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/command/LabelCommand.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="627" column="8" selection-start-line="627" selection-start-column="8" selection-end-line="627" selection-end-column="8" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Studio2.2.2/SDK/sources/android-24/java/util/List.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/Constant.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="19" column="28" selection-start-line="19" selection-start-column="28" selection-end-line="19" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ListViewAdapter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="321">
          <caret line="108" column="36" selection-start-line="108" selection-start-column="16" selection-end-line="108" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_connmoredivices.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="16" column="15" selection-start-line="16" selection-start-column="15" selection-end-line="16" selection-end-column="15" />
          <folding>
            <element signature="e#585#616#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/io/EthernetPort.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="348">
          <caret line="111" column="45" selection-start-line="111" selection-start-column="45" selection-end-line="111" selection-end-column="45" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ThreadPool.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="698">
          <caret line="100" selection-start-line="100" selection-end-line="100" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/CheckWifiConnThread.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="482">
          <caret line="77" column="22" selection-start-line="77" selection-start-column="16" selection-end-line="77" selection-end-column="22" />
          <folding>
            <element signature="e#2185#2186#0" />
            <element signature="e#2213#2214#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="17" column="29" selection-start-line="17" selection-start-column="29" selection-end-line="17" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/jni/SerialPort.c">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="131" column="30" selection-start-line="131" selection-start-column="30" selection-end-line="131" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Studio2.2.2/SDK/ndk-bundle/build/core/setup-app.mk" />
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="17" column="9" selection-start-line="17" selection-start-column="9" selection-end-line="17" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/io/SerialPort.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="81" column="13" selection-start-line="81" selection-start-column="13" selection-end-line="81" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/jni/com_gprinter_utils_SerialPortControl.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="183">
          <caret line="13" column="3" selection-start-line="13" selection-start-column="3" selection-end-line="13" selection-end-column="3" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/io/PortManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="33" column="23" selection-start-line="33" selection-start-column="15" selection-end-line="33" selection-end-column="23" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/BluetoothDeviceList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="558">
          <caret line="227" selection-start-line="227" selection-end-line="227" />
          <folding>
            <element signature="e#1675#1916#0" expanded="true" />
            <element signature="e#1915#1916#0" expanded="true" />
            <element signature="e#5731#7710#0" expanded="true" />
            <element signature="e#7709#7710#0" expanded="true" />
            <element signature="e#8490#9715#0" expanded="true" />
            <element signature="e#9714#9715#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/DeviceConnFactoryManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-226">
          <caret line="604" column="102" selection-start-line="604" selection-start-column="102" selection-end-line="604" selection-end-column="102" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#14609#14610#0" expanded="true" />
            <element signature="e#14645#14646#0" expanded="true" />
            <element signature="e#15803#21715#0" expanded="true" />
            <element signature="e#17146#17194#0" expanded="true" />
            <element signature="e#18957#19005#0" expanded="true" />
            <element signature="e#21714#21715#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/ConnMoreDevicesActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="162" column="5" selection-start-line="162" selection-start-column="5" selection-end-line="162" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/io/UsbPort.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="141">
          <caret line="154" column="29" lean-forward="true" selection-start-line="154" selection-start-column="29" selection-end-line="154" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/app/libs/gprintersdkv2.jar!/com/gprinter/io/BluetoothPort.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2112">
          <caret line="15" column="13" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="33" selection-start-line="33" selection-end-line="34" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values-zh-rCN/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="33" column="24" selection-start-line="33" selection-start-column="18" selection-end-line="33" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="86" column="51" selection-start-line="86" selection-start-column="37" selection-end-line="86" selection-end-column="51" />
          <folding>
            <element signature="e#3721#3737#0" expanded="true" />
            <element signature="e#3800#3820#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/PrintContent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="410">
          <caret line="293" column="59" selection-start-line="293" selection-start-column="33" selection-end-line="293" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/gpsdk/demo/gpsdkdemo/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="286" column="45" lean-forward="true" selection-start-line="286" selection-start-column="45" selection-end-line="286" selection-end-column="45" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>